<?php
namespace App\Smarty\Functions;

class SabreServiceLabel
{
	static public function create($params, $smarty)
	{

		// CHECK INPUT ----------------------------------------------------------------------------
		$defaultOutput = '';
		if ($params['default']) {
			$defaultOutput = $params['default'];
		}

		// GET SABRE SERVICE DETAILS --------------------------------------------------------------
		// sabre service object reference
		if (is_object($params['ref']) and get_class($params['ref'])=='Entity\SabreService') {
			$sabreService = $params['ref'];
		}
		// service id
		elseif ( is_numeric($params['ref']) and $params['ref']>0 ) {
			$sabreService = \Entity\SabreService::select($params['ref']);
			if (!$sabreService->recordExists()) {
				return $defaultOutput;
			}
		}
		// something invalid
		else {
			return $defaultOutput;
		}

		// STORE MADEUS SERVICE DETAILS IN AN OUTPUT PARAMETER ($params['assign']) ----------------
		if ($params['assign']) {
			$smarty->assign($params['assign'], $sabreService);
			return '';
		}

		// CHECK OUTPUT FORMAT --------------------------------------------------------------------
		if ($params['hideLink']) {
			return $sabreService->transactionData->documents->RECLOC ? $sabreService->transactionData->documents->RECLOC : $sabreService->getId();
		}
		else{
			return sprintf("<span class=\"remoteLoadLink\" onclick=\"RemoteLoad.loadEntity(this, '%s', '%s');\">%s</span>",
				'sabreService',
				$sabreService->getId(),
				($sabreService->transactionData->documents->RECLOC ?: $sabreService->getId()));
		}
	}

}